@echo off
rem *******************************************************************************
rem  Elments sous licence - Proprit d'IBM
rem  (c) Copyright IBM Corporation 2011, 2014. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************

rem ################################################################################
rem
rem Fichier pour les messages affichs par les scripts automatiss de mise  niveau.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *************************************
REM * Messages de vrification initiale *
REM *************************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo La mise  niveau doit tre excute avec des droits administrateur.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo N'excutez pas le script app_upgrade directement.  Pour mettre  jour le serveur JTS ou l'application, excutez l'une des commandes suivantes :
echo %TAB%ccm_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo Entrez -help pour afficher la description complte des commandes ci-dessus.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo Sauf si vous utilisez le paramtre -help, le script %2 doit tre excut depuis %3
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo Le fichier %2 contient les valeurs de paramtre pour le script de mise  niveau.
echo Pour modifier ces valeurs de paramtre par dfaut, ditez ces fichiers ou spcifiez les valeurs de paramtre sous forme d'arguments de ligne de commande pour les scripts de mise  niveau.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo L'ensemble de fichiers ci-dessous contient les valeurs de paramtre par dfaut pour la mise  niveau d'une application ou d'un serveur JTS.  Pour modifier ces valeurs de paramtre par dfaut, ditez ces fichiers ou spcifiez les valeurs de paramtre sous forme d'arguments de ligne de commande pour les scripts de mise  niveau.
echo %TAB%- Mise  niveau CCM : "%2params\ccm_params%3.bat"
echo %TAB%- Mise  niveau QM :  "%2params\qm_params%3.bat"
echo %TAB%- Mise  niveau RM :  "%2params\rm_params%3.bat"
echo %TAB%- Mise  niveau JTS : "%2params\jts_params%3.bat"
echo.
goto LBLEND


REM *******************************************
REM * Messages de vrification des paramtres *
REM *******************************************

REM Vrification intrinsque
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Aucun type de serveur JTS ou d'application n'a t spcifi.  Pour mettre  jour le serveur JTS ou l'application, excutez l'une des commandes suivantes :
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Entrez -help pour afficher la description complte des commandes ci-dessus.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 n'est pas un type de serveur JTS ou d'application valide.  Pour mettre  jour le serveur JTS ou l'application, excutez l'une des commandes suivantes :
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Entrez -help pour afficher la description complte des commandes ci-dessus.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Valeur manquante pour le paramtre %2.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo Le rpertoire %3 spcifi pour le paramtre %2 n'existe pas ou n'est pas valide.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo Le rpertoire %3 spcifi pour le paramtre %2 doit tre un chemin d'accs absolu.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo Le fichier %3 spcifi pour le paramtre %2 n'existe pas ou n'est pas valide.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 est une valeur non valide pour le paramtre %2.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 est un paramtre inconnu.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND


REM Vrification extrinsque
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Paramtre de rpertoire de base manquant %2.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo Le rpertoire %2 n'existe pas ou n'est pas valide.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo Impossible de trouver la commande repotools de l'application '%2'.
echo.
echo Vrifiez que le paramtre -oldApplicationHome '%3' dsigne l'ancien rpertoire de configuration du serveur, par exemple 'RacineInstallationJazz/server/conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo Impossible de trouver la commande repotools de l'application '%2'.
echo.
echo Vrifiez que le paramtre -oldApplicationHome '%3' dsigne l'ancien rpertoire de configuration du serveur, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre -jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vrifiez que le paramtre -oldApplicationHome '%3' dsigne l'ancien rpertoire de configuration du serveur, par exemple 'RacineInstallationJazz/server/conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vrifiez que le paramtre -oldApplicationHome '%3' dsigne l'ancien rpertoire de configuration du serveur, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre -applicationContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo Impossible de trouver la commande repotools de l'application '%2'.  
echo.
echo Vrifiez que le paramtre -newApplicationHome '%3' dsigne le nouveau rpertoire de configuration du serveur d'applications, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre -applicationContextRoot '%4' est correct.
echo Si vous procdez  une mise  niveau depuis une dition prcdente, vrifiez que vous avez slectionn les racines de contexte appropries.  Par exemple, si vous utilisez Installation Manager, vous devez slectionner l'option de racine de contexte %5 dans le panneau "Options de racine de contexte".  Si vous avez slectionn une autre option par inadvertance, vous devez rinstaller le produit avec l'option de racine de contexte %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vrifiez que le paramtre -newApplicationHome '%3' dsigne le nouveau rpertoire de configuration du serveur JTS, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre -applicationContextRoot '%4' est correct.
echo Si vous procdez  une mise  niveau depuis une dition prcdente, vrifiez que vous avez slectionn les racines de contexte appropries.  Par exemple, si vous utilisez Installation Manager, vous devez slectionner l'option de racine de contexte %5 dans le panneau "Options de racine de contexte".  Si vous avez slectionn une autre option par inadvertance, vous devez rinstaller le produit avec l'option de racine de contexte %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo Impossible de trouver la commande repotools JTS '%2'.
echo.
echo Vrifiez que le paramtre -oldJTSHome '%3' dsigne l'ancien rpertoire de configuration du serveur JTS, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre -jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vrifiez que le paramtre -oldJTSHome '%3' dsigne l'ancien rpertoire de configuration du serveur JTS, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre -jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo Impossible de trouver la commande repotools JTS '%2'.
echo.
echo Vrifiez que le paramtre -newJTSHome '%3' dsigne le nouveau rpertoire de configuration du serveur JTS, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre -jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vrifiez que le paramtre -newJTSHome '%3' dsigne le nouveau rpertoire de configuration du serveur JTS, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre -jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo Un fichier tar contenant les donnes 2.x est requis pour une mise  niveau de %2.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND


REM ************************
REM * Messages d'excution *
REM ************************

:LBLMSG_BANNER_jts
echo.
echo.
echo =============================================
echo ===         Mise  niveau de JTS          ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo =============================================
echo ===        Mise  niveau de CCM           ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo ============================================
echo ===         Mise  niveau de QM          ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo ============================================
echo ===         Mise  niveau de RM          ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_RM_CHECK_OLD_VERSION )
echo Vrification de la version prcdente de l'application RM...
goto LBLEND

:LBLMSG_RM_DISPLAY_OLD_VERSION )
echo La version prcdente de l'application RM est '%~2
goto LBLEND

REM *******************************
REM * Passage  la premire tape *
REM *******************************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo La dernire excution a chou  l'tape initiale...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo La dernire excution a chou  l'tape %2...
echo Voulez-vous redmarrer la mise  niveau  partir de cette tape ou d'une tape prcdente ? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo La mise  niveau a dj t effectue et a abouti...
echo Voulez-vous en redmarrer une nouvelle  partir d'une tape spcifique ? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo La dernire excution a t arrte  l'tape %2...
echo Voulez-vous redmarrer la mise  niveau  partir de l'tape en cours %3 ou d'une tape prcdente ? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Entrez le numro de l'tape [%2-%3]  partir de laquelle redmarrer la mise  niveau ou appuyez sur [Entre] pour annuler :
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' n'est pas un nombre. Entrez un numro d'tape valide.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' n'est pas un numro d'tape valide. Entrez un numro d'tape valide.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo La dernire tape est l'tape %2 ; par consquent, vous ne pouvez pas redmarrer la mise  niveau  l'tape %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo L'tape %2 n'a pas encore t excute ; par consquent, vous ne pouvez pas redmarrer la mise  niveau  l'tape %3.
goto LBLEND


REM ****************************
REM * Messages pour les tapes *
REM ****************************

:LBLMSG_STEP_0
echo Etape 0 : Mise  jour des fichiers de configuration
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Etape 1 : Ajout de tables
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Etape 2 : Mise  niveau du schma d'entrept de donnes
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo Etape %2 : Recration des index de requte et de recherche
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Etape 3 : Mise  niveau du schma d'entrept de donnes
echo -------------------------------------
goto LBLEND

:LBLMSG_RM_APPLICATION_FINALIZE )
echo Etape %2 : Finalisation de l'application RM
echo -------------------------------
goto LBLEND

:LBLMSG_JTS_APPLICATION_FINALIZE )
echo Etape %2 : Finalisation de l'application JTS
echo -------------------------------
goto LBLEND

:LBLMSG_RM_REINDEX_ALL )
echo Etape %2 : Rindexation de l'application RM
echo --------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo Etape %2 : Recration des index de texte
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo Etape %2 : Recration des index de requte et de recherche
echo -----------------------------------------
goto LBLEND

:LBLMSG_JTS_MERGE_LPA_JTS_STEP
echo Step %2 : Fusion de LPA dans JTS
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo La mise  niveau de %2 a chou  l'tape %3.  Corrigez le problme et excutez  nouveau le script  partir de l'tape %3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo La mise  niveau de %2 a abouti.  Vous devez mettre  niveau les applications de votre environnement maintenant.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo La mise  niveau de %2 a abouti.  Vous pouvez  prsent dmarrer les serveurs de l'environnement de dploiement.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM_FROM_V4 )
echo.
echo La partie hors ligne de la mise  niveau de RM a abouti. Il reste une
echo tape  effectuer pour terminer la migration, mais elle requiert que tous les
echo serveurs lis  RM (comme RTC, RQM, JRS) soient dmarrs. Si appropri, dmarrez
echo tous les serveurs (y compris RM). Il est recommand de se connecter  chaque serveur
echo pour vrifier son fonctionnement. Ensuite, excutez la commande suivante :
echo.
call %MSG_FILE_PATH% STEP_DIR_CMD %2 %3
setlocal EnableDelayedExpansion
set THREE=%3
set THREE=!THREE:~1,-1!
echo     !THREE!
setlocal DisableDelayedExpansion
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo La mise  niveau de %2 a abouti.  Vous pouvez  prsent dmarrer les serveurs de l'environnement de dploiement.
echo.
goto LBLEND

REM ********************************************
REM * Messages lors de l'excution d'une tape *
REM ********************************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Rpertoire : %2
echo Commande :
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Entrez [E] pour excuter cette tape, [S] pour l'ignorer ou appuyez sur [Entre] pour annuler l'excution du script :
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2' n'est pas une entre valide ; 'E', 'S' et 'Entre' seulement sont admis
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Un diteur bloc-notes va s'ouvrir pour que vous puissiez vrifier le fichier teamserver.properties %2.
echo Vrifiez que la racine d'URI public indique par la proprit com.ibm.team.repository.server.webapp.url est correcte.
echo Vrifiez que les proprits de la base de donnes sont correctes.
echo Lorsque vous avez termin, sauvegardez vos modifications, le cas chant, puis fermez l'diteur afin de continuer l'excution du script.
echo.
echo Consultez la rubrique 'Mise  niveau de la solution Rational pour CLM' du centre de documentation
echo pour des informations sur la configuration de chaque proprit.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Entrez [C] pour continuer l'excution ou appuyez sur [Entre] pour annuler l'excution du script :
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2' n'est pas une entre valide ; 'C' et 'Entre' seulement sont admis
echo.
goto LBLEND

:LBLMSG_COPY_TXT_INDICES_INPROGRESS
echo.
echo Copie des index de texte de '%2' vers '%3'.
echo L'opration peut prendre plusieurs minutes...
echo.
goto LBLEND

:LBLMSG_COPY_JFS_INDICES_INPROGRESS
echo.
echo Copie de la requte et des index de recherche de '%2' vers '%3'. 
echo L'opration peut prendre plusieurs minutes...
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Echec de la copie des index de texte  partir de '%2' vers '%3'. 
echo Vrifiez la proprit com.ibm.team.fulltext.indexLocation
echo dfinie dans le fichier teamserver.properties.
echo Copiez manuellement les index de texte vers ce rpertoire
echo ou excutez la commande repotools -rebuildTextIndices pour les regnrer.
echo.
goto LBLEND

:LBLMSG_RM_APP_ID_NOEXIST )
echo.
echo Le fichier "%NEW_APP_PARENT_DIR:"=%\RM_APP.ID" n'existe pas
echo Crez-le avec la ligne unique contenant l'ID d'application RM
echo et essayez  nouveau.
echo.
goto LBLEND

REM *************************************************
REM * Messages pour la vrification des URI publics *
REM *************************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERREUR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Aucun URI public n'est dfini dans
echo %3,
echo par consquent, la mise  niveau ne peut pas tre dmarre.
echo.
echo Ce fichier doit comporter un URI public dfini comme suit :
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La proprit d'URI public com.ibm.team.repository.server.webapp.url doit tre indique dans le fichier teamserver.properties.
echo Ajoutez la proprit au fichier teamserver.properties de l'ancienne installation et dfinissez sa valeur sur l'URI racine que tous les clients utilisent pour accder au serveur.
echo La racine d'URI public est indispensable au bon fonctionnement de votre nouvelle installation. Sans cette proprit, la mise  niveau ne pourra pas aboutir.  
echo Pour plus d'informations, voir la rubrique 'Planification de vos URI' dans la documentation du produit.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERREUR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Tous les URI publics dfinis dans
echo %3,
echo sont mis en commentaire ; par consquent la mise  niveau ne peut pas tre dmarre.
echo.
echo Ce fichier doit comporter un URI public non comment dfini comme suit :
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La proprit d'URI public com.ibm.team.repository.server.webapp.url doit tre indique dans le fichier teamserver.properties.
echo Ajoutez la proprit au fichier teamserver.properties de l'ancienne installation et dfinissez sa valeur sur l'URI racine que tous les clients utilisent pour accder au serveur.
echo La racine d'URI public est indispensable au bon fonctionnement de votre nouvelle installation. Sans cette proprit, la mise  niveau ne pourra pas aboutir.
echo Pour plus d'informations, voir la rubrique 'Planification de vos URI' dans la documentation du produit.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo La racine de contexte de jts est dfinie sur : '%2'.
echo La racine de contexte de application est dfinie sur : '%3'.
echo Les racines de contexte de jts et de l'application ne peuvent pas tre identiques.
echo.
goto LBLEND

:LBLEND
endlocal
