@echo off
rem *******************************************************************************
rem  Materiali su licenza - Propriet di IBM
rem  (c) Copyright IBM Corporation 2011, 2014. Tutti i diritti riservati.
rem
rem  Nota relativa a limitazioni dei diritti per gli utenti del Governo degli Stati Uniti:
rem  L'uso, la duplicazione o la divulgazione sono limitati dal GSA ADP Schedule
rem  Contract con IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem File per i messaggi visualizzati dagli script di aggiornamento automatizzati.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Messaggi di verifica iniziale *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo L'aggiornamento deve essere eseguito con i diritti di amministratore.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo Non eseguire direttamente lo script app_upgrade.  Per aggiornare JTS o l'applicazione, emettere uno dei seguenti comandi:
echo %TAB%ccm_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo Utilizzare -help per una descrizione completa dei comandi precedenti.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo Tranne che quando si utilizza il parametro -help, lo script %2 deve essere eseguito da %3
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo Il file "%2" contiene i valori dei parametri per lo script di aggiornamento.
echo Se  necessario modificare i valori dei parametri predefiniti,  possibile modificare i file oppure specificare i valori come argomenti della riga comandi sugli script di aggiornamento.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo Le seguenti serie di file contengono valori dei parametri per un'applicazione o aggiornamento JTS.  Se  necessario modificare i valori dei parametri predefiniti,  possibile modificare i file oppure specificare i valori come argomenti della riga comandi sugli script di aggiornamento.
echo %TAB%- Aggiornamento CCM: "%2params\ccm_params%3.bat"
echo %TAB%- Aggiornamento QM:  "%2params\qm_params%3.bat"
echo %TAB%- Aggiornamento RM:  "%2params\rm_params%3.bat"
echo %TAB%- Aggiornamento JTS: "%2params\jts_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Messaggi di verifica dei parametri *
REM ************************************

REM Verifica intrinseca
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Nessun tipo di applicazione o JTS specificato.  Per aggiornare JTS o l'applicazione, emettere uno dei seguenti comandi:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Utilizzare -help per una descrizione completa dei comandi precedenti.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 non  un tipo di applicazione o JTS valido.  Per aggiornare JTS o l'applicazione, emettere uno dei seguenti comandi:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Utilizzare -help per una descrizione completa dei comandi precedenti.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Manca il valore del parametro %2.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo La directory %3, specificata per il parametro %2 non esiste o non  valida.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo La directory %3, specificata per il parametro %2 deve essere un percorso assoluto.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo Il file %3 specificato per il parametro %2 non esiste o non  valido.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 non  un valore valido per il parametro %2.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2  un parametro sconosciuto.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND


REM Verifica estrinseca
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Manca il valore del parametro della directory home %2.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo La directory %2 non esiste o non  valida.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo Impossibile trovare il comando repotools dell'applicazione '%2'.
echo.
echo Verificare che il parametro -oldApplicationHome '%3' faccia riferimento alla vecchia directory di configurazione del server, ad esempio'JazzInstallRoot\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo Impossibile trovare il comando repotools dell'applicazione '%2'.
echo.
echo Verificare che il parametro -oldApplicationHome '%3' faccia riferimento alla vecchia directory di configurazione del server, ad esempio 'JazzInstallRoot\server\conf' e che il parametro -jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo Impossibile trovare il file di configurazione '%2'.
echo.
echo Verificare che il parametro -oldApplicationHome '%3' faccia riferimento alla vecchia directory di configurazione del server, ad esempio'JazzInstallRoot\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo Impossibile trovare il file di configurazione '%2'.
echo.
echo Verificare che il parametro -oldApplicationHome '%3' faccia riferimento alla vecchia directory di configurazione del server, ad esempio 'JazzInstallRoot\server\conf' e che il parametro -applicationContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo Impossibile trovare il comando repotools dell'applicazione '%2'.  
echo.
echo Verificare che il parametro -newApplicationHome '%3' faccia riferimento alla nuova directory di configurazione del server delle applicazioni, ad esempio 'JazzInstallRoot\server\conf' e che il parametro -applicationContextRoot '%4' sia corretto.
echo Se si sta effettuando l'aggiornamento da una release precedente, verificare di aver selezionato le root di contesto corrette.  Ad esempio, se si utilizza Installation Manager, selezionare l'opzione della root di contesto %5 sul pannello "Opzioni root di contesto".  Se per sbaglio  stata selezionata un'opzione differente, reinstallare la versione con l'opzione della root di contesto %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo Impossibile trovare il file di configurazione '%2'.
echo.
echo Verificare che il parametro -newApplicationHome '%3' faccia riferimento alla nuova directory di configurazione del server JTS, ad esempio 'JazzInstallRoot\server\conf' e che il parametro -applicationContextRoot '%4' sia corretto.
echo Se si sta effettuando l'aggiornamento da una release precedente, verificare di aver selezionato le root di contesto corrette.  Ad esempio, se si utilizza Installation Manager, selezionare l'opzione della root di contesto %5 sul pannello "Opzioni root di contesto".  Se per sbaglio  stata selezionata un'opzione differente, reinstallare la versione con l'opzione della root di contesto %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo Impossibile trovare il comando repotools JTS '%2'.
echo.
echo Verificare che il parametro -oldJTSHome '%3' faccia riferimento alla vecchia directory di configurazione del server JTS, ad esempio 'JazzInstallRoot/server/conf' e che il parametro -jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo Impossibile trovare il file di configurazione '%2'.
echo.
echo Verificare che il parametro -oldJTSHome '%3' faccia riferimento alla vecchia directory di configurazione del server JTS, ad esempio 'JazzInstallRoot/server/conf' e che il parametro -jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo Impossibile trovare il comando repotools JTS '%2'.
echo.
echo Verificare che il parametro -newJTSHome '%3' faccia riferimento alla nuova directory di configurazione del server JTS, ad esempio 'JazzInstallRoot\server\conf' e che il parametro -jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo Impossibile trovare il file di configurazione '%2'.
echo.
echo Verificare che il parametro -newJTSHome '%3' faccia riferimento alla nuova directory di configurazione del server JTS, ad esempio 'JazzInstallRoot\server\conf' e che il parametro -jtsContextRoot '%4' sia corretto.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo Un file tar contenente dati 2.x  richiesto per un aggiornamento %2.
echo Utilizzare -help per una descrizione completa dei parametri.
echo.
goto LBLEND


REM **********************
REM * Messaggi di esecuzione *
REM **********************

:LBLMSG_BANNER_jts
echo.
echo.
echo =============================================
echo ===    Aggiornamento JTS     ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo =============================================
echo ===    Aggiornamento CCM     ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo ============================================
echo ===    Aggiornamento QM    ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo ============================================
echo ===    Aggiornamento RM    ===
echo ============================================
echo.
goto LBLEND

:LBLMSG_RM_CHECK_OLD_VERSION )
echo Verifica della versione precedente di RM...
goto LBLEND

:LBLMSG_RM_DISPLAY_OLD_VERSION )
echo la versione precedente di RM  '%~2'
goto LBLEND

REM *********************
REM * Passaggio a Primi passi *
REM *********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo L'ultima esecuzione non  riuscita al passo iniziale...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo L'ultima esecuzione non  riuscita al passo %2...
echo Riavviare l'aggiornamento da questo passo o da un passo precedente? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo L'aggiornamento  stato gi eseguito ed  stato terminato correttamente...
echo Riavviarne uno nuovo da un passo specifico? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo L'ultima esecuzione  stata correttamente arrestata al passo %2...
echo Riavviare l'aggiornamento dal passo corrente %3 o da uno precedente? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Immettere il numero di passo [%2-%3] da cui si desidera riavviare l'aggiornamento oppure premere [Invio] per annullare l'operazione:
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' non  un numero. Immettere un numero di passo valido.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' non  un numero di passo valido. Immettere un numero di passo valido.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo L'ultimo passo  il passo %2, pertanto non  possibile riavviare l'aggiornamento al passo %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo Il passo %2 non  stato ancora eseguito, pertanto non  possibile riavviare l'aggiornamento al passo %3.
goto LBLEND


REM **********************
REM * Messaggi per i passi *
REM **********************

:LBLMSG_STEP_0
echo Passo 0: Aggiornamento dei file di configurazione
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Passo 1: Aggiunta di tabelle
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Passo 2: Aggiornare lo schema del data warehouse
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo Passo %2: Creare nuovamente gli indici di ricerca e query
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Passo 3: Aggiornare lo schema del data warehouse
echo -------------------------------------
goto LBLEND

:LBLMSG_RM_APPLICATION_FINALIZE )
echo Passo %2: Finalizzazione dell'applicazione RM
echo -------------------------------
goto LBLEND

:LBLMSG_JTS_APPLICATION_FINALIZE )
echo Passo %2: Finalizzazione dell'applicazione JTS
echo -------------------------------
goto LBLEND

:LBLMSG_RM_REINDEX_ALL )
echo Passo %2: Reindicizzazione dell'applicazione RM
echo -------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo Passo %2: Creare nuovamente gli indici di testo
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo Step %2: Creare nuovamente gli indici di ricerca e di query
echo -----------------------------------------
goto LBLEND

:LBLMSG_JTS_MERGE_LPA_JTS_STEP
echo Passo %2: Unione di LPA con JTS
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo L'aggiornamento %2 non  riuscito al passo %3.  Correggere il problema ed eseguire di nuovo lo script dal passo %3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo Aggiornamento %2 riuscito.   ora possibile aggiornare le applicazioni nel proprio ambiente.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo Aggiornamento %2 riuscito.   ora possibile avviare i server nella distribuzione.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM_FROM_V4 )
echo.
echo La parte offline dell'aggiornamento RM  riuscita.  necessario un ultimo passo
echo per completare la migrazione, ma richiede che tutti i server che si collegano a
echo RM (come ad esempio RTC, RQM, JRS) siano in linea. Quando possibile, attivare
echo tutti i server (incluso RM). Si consiglia di accedere a tutti i server ed
echo assicurarsi che siano correttamente in funzione. Quindi eseguire il seguente comando:
echo.
call %MSG_FILE_PATH% STEP_DIR_CMD %2 %3
setlocal EnableDelayedExpansion
set THREE=%3
set THREE=!THREE:~1,-1!
echo     !THREE!
setlocal DisableDelayedExpansion
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo Aggiornamento %2 riuscito.   ora possibile avviare i server nella distribuzione.
echo.
goto LBLEND

REM *******************************
REM * Messaggi durante l'esecuzione del passo *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Directory: %2
echo Comando:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Immettere [E] per eseguire questo passo, [S] per ignorarlo oppure premere [Invio] per annullare l'esecuzione dello script:
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2'  una voce non valida, sono consentiti solo 'E', 'S' o 'Invio'
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Un editor blocco note verr aperto per verificare il file %2 teamserver.properties.
echo Verificare che la root dell'URI pubblico denotato dalla propriet com.ibm.team.repository.server.webapp.url sia corretta.
echo Verificare che le propriet del database siano corrette.
echo Una volta completato, salvare le modifiche, se presenti, e chiudere l'editor per continuare l'esecuzione dello script.
echo.
echo Consultare la sezione 'Aggiornamento della soluzione Rational per CLM' della documentazione del prodotto
echo per informazioni su come configurare correttamente ciascuna propriet.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Immettere [C] per continuare l'esecuzione oppure premere [Invio] per annullare l'esecuzione dello script:
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2'  una voce non valida, sono consentiti solo 'C' o 'Invio'
echo.
goto LBLEND

:LBLMSG_COPY_TXT_INDICES_INPROGRESS
echo.
echo Copia degli indici di testo da '%2' a '%3'.
echo Questa operazione potrebbe richiedere diversi minuti...
echo.
goto LBLEND

:LBLMSG_COPY_JFS_INDICES_INPROGRESS
echo.
echo Copia delle query e degli indici di ricerca da '%2' a '%3'. 
echo Questa operazione potrebbe richiedere diversi minuti...
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Impossibile copiare gli indici di testo da '%2' a '%3'. 
echo Verificare la propriet com.ibm.team.fulltext.indexLocation
echo definita nel file teamserver.properties.
echo Copiare manualmente gli indici di testo in questa directory
echo o eseguire repotools -rebuildTextIndices per rigenerarli.
echo.
goto LBLEND

:LBLMSG_RM_APP_ID_NOEXIST )
echo.
echo Il file "%NEW_APP_PARENT_DIR:"=%\RM_APP.ID" non esiste
echo Crearlo con un'unica riga contenente l'ID applicazione di RM
echo e riprovare.
echo.
goto LBLEND

REM *****************************************
REM * Messaggi per la verifica degli URI pubblici *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRORE !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Nessun URI pubblico definito in
echo %3,
echo pertanto non  possibile avviare l'aggiornamento.
echo.
echo  necessario che in questo file sia presente un URI pubblico definito come segue:
echo https\://nomehost.esempio.com\:porta/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La propriet dell'URI pubblico com.ibm.team.repository.server.webapp.url deve essere presente nel file teamserver.properties.
echo Aggiungere la propriet al file teamserver.properties della vecchia installazione ed impostare il valore in modo che sia la root URI che tutti i client utilizzano per raggiungere il server.
echo La root dell'URI pubblico  necessaria per il corretto funzionamento della nuova installazione. L'aggiornamento non riuscir senza questa propriet.  
echo Per ulteriori informazioni, consultare l'argomento 'Pianificazione degli URI' nella documentazione del prodotto.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERRORE !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Tutti gli URI pubblici definiti in
echo %3,
echo sono commentati pertanto l'aggiornamento non pu iniziare.
echo.
echo  necessario che in questo file sia presente un URI pubblico definito come segue:
echo https\://nomehost.esempio.com\:porta/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La propriet dell'URI pubblico com.ibm.team.repository.server.webapp.url deve essere presente nel file teamserver.properties.
echo Aggiungere la propriet al file teamserver.properties della vecchia installazione ed impostare il valore in modo che sia la root URI che tutti i client utilizzano per raggiungere il server.
echo La root dell'URI pubblico  necessaria per il corretto funzionamento della nuova installazione. L'aggiornamento non riuscir senza questa propriet.
echo Per ulteriori informazioni, consultare l'argomento 'Pianificazione degli URI' nella documentazione del prodotto.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo La root di contesto di jts  impostata su: '%2'.
echo La root di contesto per l'applicazione  impostata su '%3'.
echo La root di contesto di jts non pu coincidere con quella dell'applicazione.
echo.
goto LBLEND

:LBLEND
endlocal
